装備制限 - EquippedLimit.js

シェア用テキスト:
▼装備制限(やな様作)
https://plugin.fungamemake.com/archives/2091
計算式で装備を制限する機能を追加します。

ふりがな:そうびせいげん

機能概要: 計算式で装備を制限する機能を追加します。

利用規約(ライセンス): MITライセンス

作者:やな

作者サイト:https://twitter.com/yanatsuki_/

ダウンロードページ:https://uploader.mitukasa.jp/rpg/download/1537197078.zi…

解説ページ:https://www6.atwiki.jp/pokotan/pages/3.html

ファイル名:EquippedLimit.js

プラグインのヘルプ:

 * @plugindesc ver1.01/計算式で装備を制限する機能を追加します。
 * @author Yana
 *
 * @help ------------------------------------------------------
 * 使用方法
 * ------------------------------------------------------
 * 武器や防具のメモに
 * <装備制限:xxx>
 * <EquippedLimit:xxx>
 * のいずれかを記述すると、xxxをevalで評価した答えがtrueでない限り、
 * その装備はグレーアウトして装備できなくなります。
 *
 * xxxは計算式を記述できますが、その時に
 * a →アクター
 * v →変数
 * s →スイッチ
 * がそれぞれ使用できます。
 *
 * この条件は複数行にわたって記述することで、複数個設定することができます。
 *
 * 例1:現在レベルが30以上でないと装備できない
 * <装備制限:a.level >= 30>
 *
 * 例2:現在のアクターの素の攻撃力が30以上かつ、素の防御力が30以上でないと装備できない
 * <装備制限:a.paramBase(2) >= 30>
 * <装備制限:a.paramBase(3) >= 30>
 * ------------------------------------------------------
 * 利用規約
 * ------------------------------------------------------
 * 当プラグインはMITライセンスで公開されています。
 * 使用に制限はありません。商用、アダルト、いずれにも使用できます。
 * 二次配布も制限はしませんが、サポートは行いません。
 * 著作表示は任意です。行わなくても利用できます。
 * 要するに、特に規約はありません。
 * バグ報告や使用方法等のお問合せはネ実ツクールスレ、または、Twitterにお願いします。
 * https://twitter.com/yanatsuki_
 * 素材利用は自己責任でお願いします。
 * ------------------------------------------------------
 * 更新履歴:
 * ver1.01:170105
 * 最強装備時に制限により装備できないアイテムが最悪のパフォーマンスとして認識されるように変更。
 * ver1.00:
 * 公開
0

スポンサードリンク

スポンサードリンク

Copyright© #ツクプラ , 2020 All Rights Reserved.